GET /api/v3/account/{accountId}/meter/{meterId}/billSplit/{versionId}/chargebackTask

Get all chargeback tasks with details for a specific version on an account and meter

GetBillSplitChargebackTaskByVersionV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
accountId ID of the account integer (int32) Required
meterId ID of the meter integer (int32) Required
versionId ID of the distribution version integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

ChargebackTaskVersionResponse
Property Description Type
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
billingPeriod The billing period the task was run for integer (int32)
chargebackType The chargeback type. Either “Split” or “Calculation” string
comment User comments on the task string
destinationBillIds The billids of all the destination bills created by this version within the task integer[]
errorMessage Error that may have occurred when running this version within the task string
numberOfAnalyzingBills The number of bills that are currently analyzing within the task integer (int32)
numberOfBillsCreated The number of bills created for this version within the task integer (int32)
numberOfUnresolvedFlags The number of unresolved flags on bills within the task integer (int32)
reversedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
reversedDate The date when all bills generated by the task were voided or deleted string (date-time)
settings The task’s settings object
sourceBillId If this was a bill split task, then ID of the bill that was split by this version within the task integer (int32)
status Current status of the task string
taskBegin Begin date when the task started string (date-time)
taskEnd End date when the task ended string (date-time)
taskId Identifier for the task integer (int32)
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
versionId The specific version id within the task we are reporting on integer (int32)
workflow ChargebackWorkflowStepChild
ChargebackWorkflowStepChild properties
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
[
  {    "batch": {      "batchCode": "string",      "batchId": 1
    },    "billingPeriod": 1,    "chargebackType": "string",    "comment": "string",    "destinationBillIds": [
      1
    ],    "errorMessage": "string",    "numberOfAnalyzingBills": 1,    "numberOfBillsCreated": 1,    "numberOfUnresolvedFlags": 1,    "reversedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "reversedDate": "2026-03-30",    "settings": {},    "sourceBillId": 1,    "status": "string",    "taskBegin": "2026-03-30",    "taskEnd": "2026-03-30",    "taskId": 1,    "user": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "versionId": 1,    "workflow": {      "chargebackWorkflow": {},      "chargebackWorkflowStepDescription": "string",      "chargebackWorkflowStepId": 1,      "chargebackWorkflowStepInfo": "string",      "chargebackWorkflowStepOrder": 1,      "chargebackWorkflowStepType": "string"
    }
  }
]